Get a person
curl --request GET \
--url https://api.nextlevelmca.com/v1/people/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/people/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"dob": "<string>",
"ssn_masked": "<string>",
"credit_score": "<string>",
"ghl_contact_id": "<string>",
"status": "active",
"created_at": "<string>",
"updated_at": "<string>",
"businesses": [
{
"business_id": "<string>",
"legal_name": "<string>",
"dba": "<string>",
"status": "<string>",
"role": "owner",
"ownership_percent": 123,
"active": true,
"is_primary_contact": true
}
],
"deals": [
{
"id": "<string>",
"business_name": "<string>",
"business_id": "<string>",
"requested_amount": 123,
"status": "<string>",
"stage": {
"id": "<string>",
"label": "<string>",
"phase": "preoffer"
},
"is_primary_owner": true,
"ownership_percent": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
]
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}People
Get a person
The person with their business associations and the deals they own. SSN is masked (***-**-1234); dob only for admin / manager credentials.
GET
/
v1
/
people
/
{id}
Get a person
curl --request GET \
--url https://api.nextlevelmca.com/v1/people/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/people/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"dob": "<string>",
"ssn_masked": "<string>",
"credit_score": "<string>",
"ghl_contact_id": "<string>",
"status": "active",
"created_at": "<string>",
"updated_at": "<string>",
"businesses": [
{
"business_id": "<string>",
"legal_name": "<string>",
"dba": "<string>",
"status": "<string>",
"role": "owner",
"ownership_percent": 123,
"active": true,
"is_primary_contact": true
}
],
"deals": [
{
"id": "<string>",
"business_name": "<string>",
"business_id": "<string>",
"requested_amount": 123,
"status": "<string>",
"stage": {
"id": "<string>",
"label": "<string>",
"phase": "preoffer"
},
"is_primary_owner": true,
"ownership_percent": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
]
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Was this page helpful?